<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PresetPattern (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PresetPattern (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PresetPattern.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/PresetLineDash.html"
               title="enum in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/RectangleAlignment.html"
               title="enum in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/PresetPattern.html"
               target="_top">Frames</a></li>
        <li><a href="PresetPattern.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Enum PresetPattern" class="title">Enum PresetPattern</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                         title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xddf.usermodel.PresetPattern</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                            title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">PresetPattern</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                             title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#CROSS">CROSS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DARK_DOWNWARD_DIAGONAL">DARK_DOWNWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DARK_HORIZONTAL">DARK_HORIZONTAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DARK_UPWARD_DIAGONAL">DARK_UPWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DARK_VERTICAL">DARK_VERTICAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DASH_DOWNWARD_DIAGONAL">DASH_DOWNWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DASH_HORIZONTAL">DASH_HORIZONTAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DASH_UPWARD_DIAGONAL">DASH_UPWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DASH_VERTICAL">DASH_VERTICAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DIAGONAL_BRICK">DIAGONAL_BRICK</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DIAGONAL_CROSS">DIAGONAL_CROSS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DIVOT">DIVOT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DOTTED_DIAMOND">DOTTED_DIAMOND</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DOTTED_GRID">DOTTED_GRID</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#DOWNWARD_DIAGONAL">DOWNWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#HORIZONTAL">HORIZONTAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#HORIZONTAL_BRICK">HORIZONTAL_BRICK</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LARGE_CHECKER_BOARD">LARGE_CHECKER_BOARD</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LARGE_CONFETTI">LARGE_CONFETTI</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LARGE_GRID">LARGE_GRID</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LIGHT_DOWNWARD_DIAGONAL">LIGHT_DOWNWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LIGHT_HORIZONTAL">LIGHT_HORIZONTAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LIGHT_UPWARD_DIAGONAL">LIGHT_UPWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#LIGHT_VERTICAL">LIGHT_VERTICAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#NARROW_HORIZONTAL">NARROW_HORIZONTAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#NARROW_VERTICAL">NARROW_VERTICAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#OPEN_DIAMOND">OPEN_DIAMOND</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_10">PERCENT_10</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_20">PERCENT_20</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_25">PERCENT_25</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_30">PERCENT_30</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_40">PERCENT_40</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_5">PERCENT_5</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_50">PERCENT_50</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_60">PERCENT_60</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_70">PERCENT_70</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_75">PERCENT_75</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_80">PERCENT_80</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PERCENT_90">PERCENT_90</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#PLAID">PLAID</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#SHINGLE">SHINGLE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#SMALL_CHECKER_BOARD">SMALL_CHECKER_BOARD</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#SMALL_CONFETTI">SMALL_CONFETTI</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#SMALL_GRID">SMALL_GRID</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#SOLID_DIAMOND">SOLID_DIAMOND</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#SPHERE">SPHERE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#TRELLIS">TRELLIS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#UPWARD_DIAGONAL">UPWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#VERTICAL">VERTICAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#WAVE">WAVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#WEAVE">WEAVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#WIDE_DOWNWARD_DIAGONAL">WIDE_DOWNWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#WIDE_UPWARD_DIAGONAL">WIDE_UPWARD_DIAGONAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#ZIG_ZAG">ZIG_ZAG</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="CROSS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CROSS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> CROSS</pre>
                            </li>
                        </ul>
                        <a name="DASH_DOWNWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASH_DOWNWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DASH_DOWNWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="DASH_HORIZONTAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASH_HORIZONTAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DASH_HORIZONTAL</pre>
                            </li>
                        </ul>
                        <a name="DASH_UPWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASH_UPWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DASH_UPWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="DASH_VERTICAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASH_VERTICAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DASH_VERTICAL</pre>
                            </li>
                        </ul>
                        <a name="DIAGONAL_BRICK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIAGONAL_BRICK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DIAGONAL_BRICK</pre>
                            </li>
                        </ul>
                        <a name="DIAGONAL_CROSS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIAGONAL_CROSS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DIAGONAL_CROSS</pre>
                            </li>
                        </ul>
                        <a name="DIVOT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIVOT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DIVOT</pre>
                            </li>
                        </ul>
                        <a name="DARK_DOWNWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DARK_DOWNWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DARK_DOWNWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="DARK_HORIZONTAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DARK_HORIZONTAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DARK_HORIZONTAL</pre>
                            </li>
                        </ul>
                        <a name="DARK_UPWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DARK_UPWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DARK_UPWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="DARK_VERTICAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DARK_VERTICAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DARK_VERTICAL</pre>
                            </li>
                        </ul>
                        <a name="DOWNWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOWNWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DOWNWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="DOTTED_DIAMOND">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOTTED_DIAMOND</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DOTTED_DIAMOND</pre>
                            </li>
                        </ul>
                        <a name="DOTTED_GRID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOTTED_GRID</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> DOTTED_GRID</pre>
                            </li>
                        </ul>
                        <a name="HORIZONTAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> HORIZONTAL</pre>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_BRICK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_BRICK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> HORIZONTAL_BRICK</pre>
                            </li>
                        </ul>
                        <a name="LARGE_CHECKER_BOARD">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LARGE_CHECKER_BOARD</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LARGE_CHECKER_BOARD</pre>
                            </li>
                        </ul>
                        <a name="LARGE_CONFETTI">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LARGE_CONFETTI</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LARGE_CONFETTI</pre>
                            </li>
                        </ul>
                        <a name="LARGE_GRID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LARGE_GRID</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LARGE_GRID</pre>
                            </li>
                        </ul>
                        <a name="LIGHT_DOWNWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LIGHT_DOWNWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LIGHT_DOWNWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="LIGHT_HORIZONTAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LIGHT_HORIZONTAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LIGHT_HORIZONTAL</pre>
                            </li>
                        </ul>
                        <a name="LIGHT_UPWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LIGHT_UPWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LIGHT_UPWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="LIGHT_VERTICAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LIGHT_VERTICAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> LIGHT_VERTICAL</pre>
                            </li>
                        </ul>
                        <a name="NARROW_HORIZONTAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NARROW_HORIZONTAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> NARROW_HORIZONTAL</pre>
                            </li>
                        </ul>
                        <a name="NARROW_VERTICAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NARROW_VERTICAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> NARROW_VERTICAL</pre>
                            </li>
                        </ul>
                        <a name="OPEN_DIAMOND">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OPEN_DIAMOND</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> OPEN_DIAMOND</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_5">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_5</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_5</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_10">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_10</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_10</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_20">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_20</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_20</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_25">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_25</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_25</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_30">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_30</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_30</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_40">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_40</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_40</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_50">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_50</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_50</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_60">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_60</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_60</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_70">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_70</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_70</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_75">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_75</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_75</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_80">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_80</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_80</pre>
                            </li>
                        </ul>
                        <a name="PERCENT_90">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PERCENT_90</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PERCENT_90</pre>
                            </li>
                        </ul>
                        <a name="PLAID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PLAID</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> PLAID</pre>
                            </li>
                        </ul>
                        <a name="SHINGLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SHINGLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> SHINGLE</pre>
                            </li>
                        </ul>
                        <a name="SMALL_CHECKER_BOARD">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SMALL_CHECKER_BOARD</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> SMALL_CHECKER_BOARD</pre>
                            </li>
                        </ul>
                        <a name="SMALL_CONFETTI">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SMALL_CONFETTI</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> SMALL_CONFETTI</pre>
                            </li>
                        </ul>
                        <a name="SMALL_GRID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SMALL_GRID</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> SMALL_GRID</pre>
                            </li>
                        </ul>
                        <a name="SOLID_DIAMOND">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SOLID_DIAMOND</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> SOLID_DIAMOND</pre>
                            </li>
                        </ul>
                        <a name="SPHERE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SPHERE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> SPHERE</pre>
                            </li>
                        </ul>
                        <a name="TRELLIS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TRELLIS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> TRELLIS</pre>
                            </li>
                        </ul>
                        <a name="UPWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UPWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> UPWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="VERTICAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> VERTICAL</pre>
                            </li>
                        </ul>
                        <a name="WAVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WAVE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> WAVE</pre>
                            </li>
                        </ul>
                        <a name="WEAVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WEAVE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> WEAVE</pre>
                            </li>
                        </ul>
                        <a name="WIDE_DOWNWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WIDE_DOWNWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> WIDE_DOWNWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="WIDE_UPWARD_DIAGONAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WIDE_UPWARD_DIAGONAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> WIDE_UPWARD_DIAGONAL</pre>
                            </li>
                        </ul>
                        <a name="ZIG_ZAG">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ZIG_ZAG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a> ZIG_ZAG</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (PresetPattern c : PresetPattern.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PresetPattern.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/PresetLineDash.html"
               title="enum in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/RectangleAlignment.html"
               title="enum in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/PresetPattern.html"
               target="_top">Frames</a></li>
        <li><a href="PresetPattern.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
